Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.converters
[Groovy] Class ConvertersPluginSupport

    java.lang.Object
      org.codehaus.groovy.grails.plugins.converters.ConvertersPluginSupport

    class ConvertersPluginSupport
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static void` | `enhanceApplication(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)` Enhances a Grails application with the Converters capability
`static void` | `enhanceDomainClasses(GrailsApplication grailsApplication, MetaClassEnhancer metaClassEnhancer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### enhanceApplication

    @groovy.transform.CompileStatic
    static void enhanceApplication(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)

  Enhances a Grails application with the Converters capability
  Parameters:
    application
    applicationContext

### enhanceDomainClasses

    static void enhanceDomainClasses(GrailsApplication grailsApplication, MetaClassEnhancer metaClassEnhancer)

Groovy Documentation